tigase.jaxmpp.j2se.eventbus

## Class ThreadSafeEventBus

- java.lang.Object
- - tigase.jaxmpp.core.client.eventbus.EventBus
  - - tigase.jaxmpp.core.client.eventbus.DefaultEventBus
    - - tigase.jaxmpp.j2se.eventbus.ThreadSafeEventBus

-     public class ThreadSafeEventBus
      extends DefaultEventBus

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.eventbus.DefaultEventBus

      `handlers, log, throwingExceptionOn`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadSafeEventBus()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<EventHandler>` | `createHandlersArray()`
    `protected Map<Object,Map<Class<? extends Event<?>>,List<EventHandler>>>` | `createMainHandlersMap()`
    `protected Map<Class<? extends Event<?>>,List<EventHandler>>` | `createTypeHandlersMap()`
    `protected void` | `doFire(Event<EventHandler> event, ArrayList<EventHandler> handlers)`
    `protected void` | `doFireEventRunAfter(AtomicInteger counter, Event<EventHandler> event)`

    - ### Methods inherited from class tigase.jaxmpp.core.client.eventbus.DefaultEventBus

      `addHandler, addListener, addListener, doAdd, doFire, fire, getHandlersList, isThrowingExceptionOn, remove, remove, setThrowingExceptionOn`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadSafeEventBus

          public ThreadSafeEventBus()

  - ### Method Detail

    - #### createHandlersArray

          protected List<EventHandler> createHandlersArray()

      Overrides:
        `createHandlersArray` in class `DefaultEventBus`

    - #### createMainHandlersMap

          protected Map<Object,Map<Class<? extends Event<?>>,List<EventHandler>>> createMainHandlersMap()

      Overrides:
        `createMainHandlersMap` in class `DefaultEventBus`

    - #### createTypeHandlersMap

          protected Map<Class<? extends Event<?>>,List<EventHandler>> createTypeHandlersMap()

      Overrides:
        `createTypeHandlersMap` in class `DefaultEventBus`

    - #### doFire

          protected void doFire(Event<EventHandler> event,
                                ArrayList<EventHandler> handlers)

      Overrides:
        `doFire` in class `DefaultEventBus`

    - #### doFireEventRunAfter

          protected void doFireEventRunAfter(AtomicInteger counter,
                                             Event<EventHandler> event)

Copyright © 2006–2019 Tigase. All rights reserved.